## org.mortbay.jetty.ant.utils
Interface WebApplicationProxy

All Known Implementing Classes:
  WebApplicationProxyImpl

    public interface WebApplicationProxy

Method Summary
`void` `createApplicationContext(ContextHandlerCollection contexts)` Creates a new Jetty web application context from this object.
`Object` `getProxiedObject()`
`void` `start()` Starts this web application context.
`void` `stop()` Stops this web application context.

Method Detail

### getProxiedObject

    Object getProxiedObject()

### start

    void start()

  Starts this web application context.

### stop

    void stop()

  Stops this web application context.

### createApplicationContext

    void createApplicationContext(ContextHandlerCollection contexts)

  Creates a new Jetty web application context from this object.

  Parameters:
    `contexts` - collection of context this application should be added to.

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.